Skip to main content
PATCH
/
v0
/
orders
/
{id}
Update an order
curl --request PATCH \
  --url https://api.paygentic.io/v0/orders/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "termStartDate": "2023-11-07T05:31:56Z",
  "termEndDate": "2023-11-07T05:31:56Z",
  "closeDate": "2023-11-07T05:31:56Z",
  "totalAmount": "<string>",
  "defaultPaymentTermDays": 123,
  "metadata": {},
  "cancelledAt": "2023-11-07T05:31:56Z",
  "resellerId": "<string>",
  "taxExempt": true,
  "sellingEntity": "<string>"
}
'
import requests

url = "https://api.paygentic.io/v0/orders/{id}"

payload = {
    "termStartDate": "2023-11-07T05:31:56Z",
    "termEndDate": "2023-11-07T05:31:56Z",
    "closeDate": "2023-11-07T05:31:56Z",
    "totalAmount": "<string>",
    "defaultPaymentTermDays": 123,
    "metadata": {},
    "cancelledAt": "2023-11-07T05:31:56Z",
    "resellerId": "<string>",
    "taxExempt": True,
    "sellingEntity": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    termStartDate: '2023-11-07T05:31:56Z',
    termEndDate: '2023-11-07T05:31:56Z',
    closeDate: '2023-11-07T05:31:56Z',
    totalAmount: '<string>',
    defaultPaymentTermDays: 123,
    metadata: {},
    cancelledAt: '2023-11-07T05:31:56Z',
    resellerId: '<string>',
    taxExempt: true,
    sellingEntity: '<string>'
  })
};

fetch('https://api.paygentic.io/v0/orders/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "object": "order",
  "merchantId": "<string>",
  "customerId": "<string>",
  "resellerId": "<string>",
  "taxExempt": true,
  "sellingEntity": "<string>",
  "currency": "<string>",
  "cancelledAt": "2023-11-07T05:31:56Z",
  "termStartDate": "2023-11-07T05:31:56Z",
  "termEndDate": "2023-11-07T05:31:56Z",
  "totalAmount": "<string>",
  "defaultPaymentTermDays": 123,
  "metadata": {},
  "lineItems": [
    {
      "id": "<string>",
      "object": "order_line_item",
      "orderId": "<string>",
      "quantity": "<string>",
      "listUnitPrice": "<string>",
      "discountUnitAmount": "<string>",
      "unitPrice": "<string>",
      "totalPrice": "<string>",
      "termStartDate": "2023-11-07T05:31:56Z",
      "termEndDate": "2023-11-07T05:31:56Z",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "itemId": "<string>",
      "description": "<string>"
    }
  ],
  "billingSchedules": [
    {
      "id": "<string>",
      "object": "billing_schedule",
      "merchantId": "<string>",
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "billingAnchor": "2023-11-07T05:31:56Z",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "orderId": "<string>",
      "subscriptionId": "<string>",
      "paymentTermDays": 123
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "closeDate": "2023-11-07T05:31:56Z"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

Body

application/json
type
enum<string> | null
Available options:
new_business,
renewal,
expansion
termStartDate
string<date-time>
termEndDate
string<date-time>
closeDate
string<date-time> | null
totalAmount
string
defaultPaymentTermDays
integer
metadata
object
cancelledAt
string<date-time> | null
resellerId
string | null
taxExempt
boolean
sellingEntity
string | null

Response

Updated order

id
string
required
object
enum<string>
required
Available options:
order
merchantId
string
required
customerId
string
required
resellerId
string | null
required
taxExempt
boolean
required
sellingEntity
string | null
required
currency
string
required
approvalStatus
enum<string>
required
Available options:
draft,
pending,
approved,
rejected
cancelledAt
string<date-time> | null
required
termStartDate
string<date-time>
required
termEndDate
string<date-time>
required
totalAmount
string
required

Decimal string (TCV)

defaultPaymentTermDays
integer
required
metadata
object
required
lineItems
object[]
required
billingSchedules
object[]
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
type
enum<string> | null
Available options:
new_business,
renewal,
expansion
closeDate
string<date-time> | null